%global pypi_name pyspatialite

Name:           python-%{pypi_name}
Version:	3.0.1
Release:	0_alpha_1%{?dist}

Summary:	Python interface to Spatialite
License:	zlib/libpng License
Url:		https://github.com/lokkju/pyspatialite
Source0:	https://pypi.io/packages/source/p/pyspatialite/%{pypi_name}-%{version}-alpha-0.tar.gz
Patch0:		pyspatialite-3.0.1-use-system-spatialite.patch
Patch1:		pyspatialite-3.0.1-fix-doc-path.patch
BuildRequires:	geos-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(spatialite)
BuildRequires:	pkgconfig(proj)
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx



%description
pyspatialite is an interface to the SQLite 3.x embedded relational
database engine with spatialite extensions.
It is almost fully compliant with the Python database API version 2.0
and also exposes the unique features of SQLite and spatialite.

%package -n     python2-%{pypi_name}
Summary:        DB-API 2.0 interface for SQLite 3.x with Spatialite 3.0.1
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Python interface to SQLite 3 + Spatialitepyspatialite is an interface to the
SQLite 3.x embedded relational database engine with spatialite extensions. It
is almost fully compliant with the Python database API version 2.0 also exposes
the unique features of SQLite and spatialite.

%package -n python-%{pypi_name}-doc
Summary:        pyspatialite documentation
%description -n python-%{pypi_name}-doc
Documentation for pyspatialite


%prep
%setup -n %{pypi_name}-%{version}-alpha-0
%autopatch -p1

%build
%py2_build
# generate html docs 
sphinx-build doc/sphinx html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
#%{__python2} setup.py test


%files -n python2-%{pypi_name}
%license LICENSE
%doc 
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-3.0.1a0-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html 
%{_docdir}/%{pypi_name}


%changelog
* Mon Jan 09 2017 Ismael Olea <ismael@olea.org> - 3.0.1-0_alpha_1
- quick and dirty Fedora package

* Sat Nov 26 2016 daviddavid <daviddavid> 3.0.1-2.mga6
+ Revision: 1070345
- improve use-system-spatialite patch to fix build

* Tue Jul 26 2016 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1043648
- imported package python-pyspatialite

